/**********************************************************************/
/*                                                                    */
/* File : ChatServerInterface.java                                    */ 
/*                                                                    */
/**********************************************************************/     

//package Chat;
import java.lang.String;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.awt.Point;

public interface ChatServerInterface extends Remote
{
    public void connect(ChatAppletInterface client) throws RemoteException;
    public void logoff(String user) throws RemoteException;
    public void login(ChatAppletInterface client, String user, Point pk) throws RemoteException;
    public void broadcastMessage(String user,String ruser, long emsg[]) throws RemoteException;
    public void mouseDown(String ruser, long x, long y) throws RemoteException;
    public void mouseDrag(String ruser, long x,long  y) throws RemoteException;
}
