/****************************************************************/
/*                                                              */ 
/* File : ChatAppletInterface.java                              */
/*                                                              */
/****************************************************************/

//package Chat;
import java.lang.String;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Vector;

public interface ChatAppletInterface extends Remote
{
    public void updateUserList(Vector users, Vector keys) throws RemoteException;
    public void displayMessage(long emsg[]) throws RemoteException;
    public void displayMessage(String str) throws RemoteException;
    public void mouseDown(long x, long y) throws RemoteException;
    public void mouseDrag(long x, long y) throws RemoteException;
}
